de.esprit.netsuite.client

## Class RawClientContext

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.LogSupportAdapter
    - - de.esprit.appsuite.launch.ApplicationContext
      - - de.esprit.netsuite.client.ClientContext
        - - de.esprit.netsuite.client.RawClientContext

- All Implemented Interfaces:
    ErrorHandler, Initializable, Exitable, LogSupport, Dumpable, java.io.Closeable, java.lang.AutoCloseable

      public class RawClientContext
      extends ClientContext

  This is a raw `ClientContext` for applications without GUI. Mainly used for test purposes or special direct connections.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationContext

      `isExitOnClose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawClientContext(ClientConfig cfg)`
    `RawClientContext(ClientConfig cfg, boolean isConnectOnInit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ErrorHandler` | `createErrorHandler()` Creates the `ConsoleErrorHandler` instance used to handle errors of Agents and ClientCommands
    `protected License` | `createLicense()`
    `protected ServerNotificationHandler` | `createServerNotificationHandler()` Creates the `ServerNotificationHandler` instance used to handle received ServerMessages
    `boolean` | `isGuiClient()` Tells whether this client has a GUI

    - ### Methods inherited from class de.esprit.netsuite.client.ClientContext

      `cancelTask, cancelTask, createClientConnector, createClientInfo, createTaskManager, getABOManager, getAdminActionValidator, getAgentParamsCache, getClientCache, getClientConfig, getClientConnector, getMainFrame, getNetActionValidator, getServerMessageHandler, getTaskManager, getUserActionValidator, getUserCache, init, isCoClient, loadTranslations, readClientInfo, setMainFrame, toDumpString, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationContext

      `checkInitialized, close, confirmCancelAllAsyncActivity, createUncaughtExceptionHandler, exit, getApplicationConfig, getApplicationName, getCustomVersion, getDatabase, getErrorHandler, getEspritVersion, getJavaVersionManager, getLicense, getSupportedLanguages, getTextEditor, hasMainFrame, isClosed, isDefaultContext, isInitialized, registerForClose, setDatabase, setExitOnClose, showError, showError, showError, showInfo, showInfo, showWarning, showWarning`

    - ### Methods inherited from class de.esprit.common.log.LogSupportAdapter

      `getLogChannel, getLogLevel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, setLogLevel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RawClientContext

          public RawClientContext(ClientConfig cfg)

    - #### RawClientContext

          public RawClientContext(ClientConfig cfg,
                          boolean isConnectOnInit)

  - ### Method Detail

    - #### isGuiClient

          public final boolean isGuiClient()

      Description copied from class: `ApplicationContext`
      Tells whether this client has a GUI
      Overrides:
        `isGuiClient` in class `ApplicationContext`

    - #### createLicense

          protected License createLicense()
                                   throws java.lang.Exception

      Overrides:
        `createLicense` in class `ApplicationContext`
      Throws:
        `java.lang.Exception`

    - #### createServerNotificationHandler

          protected final ServerNotificationHandler createServerNotificationHandler()

      Creates the `ServerNotificationHandler` instance used to handle received ServerMessages
      Specified by:
        `createServerNotificationHandler` in class `ClientContext`

    - #### createErrorHandler

          protected final ErrorHandler createErrorHandler()

      Creates the `ConsoleErrorHandler` instance used to handle errors of Agents and ClientCommands
      Overrides:
        `createErrorHandler` in class `ApplicationContext`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.